<?php
/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
?>
<div class="modal fade" tabindex="-1" role="dialog" id="receiptmodal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><i class="fas fa-receipt"></i> <?php lang("receipt"); ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="display-4 text-center"><?php lang("change"); ?>: $<span id="receiptchange">0.00</span></div>
                <iframe class="w-100" id="receiptframe"></iframe>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php lang("new sale"); ?></button>
                <button type="button" class="btn btn-primary" id="receiptprintbtn"><i class="fas fa-print"></i> <?php lang("print"); ?></button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="customermodal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><i class="fas fa-user"></i> <?php lang("customer"); ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="input-group">
                    <input type="text" class="form-control" id="customersearch" placeholder="<?php lang("customer search"); ?>" />
                    <div class="input-group-append">
                        <button class="btn btn-link" type="button" id="customersearchbtn"><i class="fas fa-search"></i></button>
                    </div>
                </div>
                <div class="list-group mt-2" id="customerselection">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php lang("close"); ?></button>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-12 col-md-6 order-1 order-md-0">
        <div class="card d-flex">
            <div class="card-header p-1">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text px-2"><i class="fas fa-barcode"></i></span>
                    </div>
                    <input type="text" class="form-control" id="barcode" placeholder="<?php lang("barcode or search"); ?>" />
                    <div class="input-group-append">
                        <button class="btn btn-link" type="button" id="barcodebtn"><i class="fas fa-search"></i></button>
                    </div>
                </div>
            </div>
            <div>
                <div class="list-group list-group-flush" id="pos-lines-box">
                    <!-- Items go here -->
                </div>
            </div>
        </div>
    </div>

    <div class="col-12 col-md-6 order-0 order-md-1">
        <div class="card mb-3 mb-md-0">
            <div class="display-4 p-1 p-md-3 text-center">$<span id="grand-total">0.00</span></div>
            <div class="card-body d-flex justify-content-center flex-wrap py-0 my-0">
                <div class="btn m-1" id="addcustomerbtn">
                    <i class="fas fa-user-circle"></i>
                    <span id="customerbtnlabel"></span>
                    <span class="sr-only"><?php lang("customer"); ?></span>
                </div>
                <div class="btn m-1" id="discountpercentbtn" data-percent="0">
                    <span id="discountpercentbtnlabel"></span>
                    <i class="fas fa-percent"></i>
                    <span class="sr-only"><?php lang("transaction discount"); ?></span>
                </div>
            </div>
            <div class="card-body">
                <span class="btn btn-green btn-lg btn-block" id="paymentbtn"><i class="fas fa-money-bill-wave"></i> <?php lang("enter payment"); ?></span>
            </div>
            <div class="d-none" id="paymentui">
                <div class="card-body">
                    <div class="d-flex justify-content-around flex-wrap">
                        <?php
                        $payment_methods = $database->select('payment_types', ['typeid (id)', 'typename (name)', 'icon', 'text']);
                        foreach ($payment_methods as $data) {
                            ?>
                            <div class="card p-2 text-center m-1 payment-method-button" data-payment-method="<?php echo $data['name']; ?>" data-icon="<?php echo $data['icon']; ?>" data-text="<?php lang($data['text']); ?>">
                                <i class="<?php echo $data['icon']; ?> fa-3x fa-fw"></i>
                                <?php lang($data['text']); ?>
                            </div>
                            <?php
                        }
                        ?>
                    </div>
                </div>
                <hr />
                <div class="row px-2 mb-3 text-center">
                    <div class="col-12 col-sm-4">
                        <?php lang("paid"); ?> $<span id="paid-amount">0.00</span>
                    </div>
                    <div class="col-12 col-sm-4">
                        <?php lang("owed"); ?> $<span id="owed-amount">0.00</span>
                    </div>
                    <div class="col-12 col-sm-4">
                        <?php lang("change"); ?> $<span id="change-amount">0.00</span>
                    </div>
                </div>
                <div class="list-group list-group-flush" id="payment-lines">
                    <!-- Payments go here -->
                </div>

                <div class="card-body">
                    <span class="btn btn-green btn-lg btn-block" id="finishbtn"><i class="fas fa-receipt"></i> <?php lang("finish"); ?></span>
                </div>
            </div>
        </div>
    </div>
</div>